<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}Polls{% endblock %}</title>
        {% block stylesheets %}
        <link rel="stylesheet" href="{{ asset('css/bootstrap.min.css') }}" />
        {% endblock %}
    </head>
    <body>
        <nav class="navbar navbar-expand-lg navbar-light bg-light mb-4">
            <div class="container">
                <a class="navbar-brand" href="#">
                    <img src="{{ asset('img/poll.png') }}" />
                    Poll
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="navbar-nav mr-auto">
                    <li class="nav-item {% if app.request.attributes.get( '_route' ) == 'home'%} active {% endif %}">
                        <a class="nav-link" href="{{ path('home') }}">Accueil</a>
                    </li>

                    {% if app.user %}

                    <li class="nav-item {% if app.request.attributes.get( '_route' ) == 'logout'%} active {% endif %}">
                        <a class="nav-link" href="{{ path('logout') }}">Déconnexion</a>
                    </li>
                    <li class="nav-item {% if app.request.attributes.get( '_route' ) == 'poll_index'%} active {% endif %}">
                        <a class="nav-link" href="{{ path('poll_index') }}">Mes sondages</a>
                    </li>

                    {% else %}

                    <li class="nav-item {% if app.request.attributes.get( '_route' ) == 'app_register'%} active {% endif %}">
                        <a class="nav-link" href="{{ path('app_register') }}">Inscription</a>
                    </li>
                    <li class="nav-item {% if app.request.attributes.get( '_route' ) == 'app_login'%} active {% endif %}">
                        <a class="nav-link" href="{{ path('app_login') }}">Connexion</a>
                    </li>

                    {% endif %}
                    </ul>
                </div>
            </div>  
        </nav>
        <div class="container">
            {% block body %}{% endblock %}
            {% block javascripts %}
            <script type="text/javascript" src="{{ asset('js/jquery.min.js') }}"></script>
            <script type="text/javascript" src="{{ asset('js/bootstrap.min.js') }}"></script>
            {% endblock %}
        </div>  
    </body>
</html>
